@import url("../../fonts.css");
@import url("artikel-news-desktop.css");
@import url("artikel-news-tablet.css");
@import url("artikel-news-mobile.css");
@import url("../../general-styles/footer.css");
@import url("../../general-styles/navbar.css");
@import url("../../general-styles/general.css");

.section-banner-news,
.section-search-news,
.section-detail-news,
.section-berita-terbaru {
  height: max-content;
}
.container-content-banner {
  position: relative;
  display: block;
  width: 100%;
}
.banner-content-title {
  position: absolute;
  border-radius: 20px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  color: #f1f1f1;
  text-align: center;
  background-color: rgba(0, 0, 0, 0.5);
  height: 100%;
  width: inherit;
}
.title-banner {
  font-size: 2rem;
  font-weight: 700;
  color: #fff;
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  text-align: center;
}
.img-banner-news {
  opacity: 1;
  display: block;
  width: 100%;
  height: 15rem;
  object-fit: cover;
  border-radius: 20px;
  backface-visibility: hidden;
}
.card-berita {
  width: 100%;
  border-radius: 20px;
  box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.2), 0 0 10px 0 rgba(0, 0, 0, 0.19);
  border: 0;
  height: 25rem;
}
.card-img-top-news {
  height: 15rem;
  max-height: 15rem;
  position: relative;
  border-top-left-radius: 15px;
  border-top-right-radius: 15px;
  width: inherit;
  object-fit: cover;
  overflow: hidden;
}
.jenis-news {
  color: #203FAB;
  font-weight: 600;
  font-size: 12px;
}
.title-news {
  color: #000;
  font-weight: 700;
  font-size: 16px;
}
.desc-news {
  color: #707070;
  font-weight: 600;
  font-size: 12px;
}
.title-news {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}
.desc-news {
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}
.img-thumbnail-news {
  max-width: 100%;
  display: block;
  height: auto;
  max-height: 36rem;
  margin-left: auto;
  margin-right: auto;
}
.news-title-detail {
  font-weight: 700;
  font-size: 1.8rem;
}
.news-date-detail {
  font-weight: 400;
  font-size: 1.2rem;
}
.news-penulis-detail {
  font-weight: 400;
  font-size: 1rem;
}
.news-desc-detail {
  font-size: 0.9rem;
}
.border-bottom {
  width: 20%;
  border-bottom: 3px solid #fdd314 !important;
}
.news-terbaru-title {
  font-size: 2em;
  font-weight: 800;
}
.ic-next-pilihan,
.ic-prev-pilihan {
  width: 0.5rem;
  padding-bottom: 0.1rem;
}
.nav-prev-news,
.nav-next-news {
  position: absolute;
  z-index: 10;
  background-color: #fff;
  border-radius: 50%;
  width: 2rem;
  height: 2rem;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}
/* Conatainer CMS */
.container-cms p {
  margin-block-end: 1em;
}
.container-cms ul {
  margin-block-start: 1em;
  margin-block-end: 1em;
  padding-inline-start: .9rem;
}
.container-cms h2,
.container-cms h3 {
  margin-block-start: .5em;
  margin-block-end: .5em;
  font-weight: 600;
}
.container-cms h2 {
  font-size: 2em;
}
.container-cms h3 {
  font-size: 1.75em;
}
.container-cms img {
  max-width: 100%;
  display: block;
  height: auto;
  max-height: 36rem;
  margin-left: auto;
  margin-right: auto;
}